curl --request GET \
--url https://api.sandbox.isometric.com/mrv/v0/sources/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-client-secret: <x-client-secret>'import requests
url = "https://api.sandbox.isometric.com/mrv/v0/sources/{id}"
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};
fetch('https://api.sandbox.isometric.com/mrv/v0/sources/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "<string>",
"display_name": "<string>",
"id": "src_1EBBF4M7X1S06G1Y",
"is_public": true,
"original_filename": "<string>",
"project_id": "prj_1CTWZQGKE1S0VAXA",
"published_at": "2023-12-25",
"supplier_reference_id": "<string>",
"type": "DOCUMENT",
"url_info": {
"url": "<string>",
"__typename": "SourcePublicUrlInfo"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Get Source
Get single source
Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Path Parameters
20 - 37"src_1EBBF4M7X1S06G1Y"
"src_1DW1B17VNSBX37N0"
Response
Successful Response
20 - 37"src_1EBBF4M7X1S06G1Y"
"src_1DW1B17VNSBX37N0"
This field indicates Whether or not this source document will be public on the Registry once Credits are issued referencing it.
The ID of the project that the source is associated with.
20 - 37"prj_1CTWZQGKE1S0VAXA"
A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.
1 - 200DOCUMENT, WEBSITE URL info for the source, that varies depending on if it is public or private
- SourcePublicUrlInfo
- SourcePrivateUrlInfo
Show child attributes
Show child attributes
Was this page helpful?